Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemController.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemController.cs	(revision 6317)
@@ -8,148 +8,144 @@
 using System.IO;
 
-namespace HLWebOKBAdminPlugin.Controllers
-{
+namespace HLWebOKBAdminPlugin.Controllers {
+  /// <summary>
+  /// Controller for Problem Submenu
+  /// </summary>
+  public class ProblemController : Controller {
     /// <summary>
-    /// Controller for Problem Submenu
+    /// Controller for Index View
     /// </summary>
-	public class ProblemController : Controller
-	{
-		/// <summary>
-		/// Controller for Index View
-		/// </summary>
-		/// <returns></returns>
-		public ActionResult Index()
-        {
-            Session["SelectedSubMenu"] = "Problem";
-            ProblemModel pm = new ProblemModel();
-			return View(pm);
-		}
+    /// <returns></returns>
+    public ActionResult Index() {
+      Session["SelectedSubMenu"] = "Problem";
+      ProblemModel pm = new ProblemModel();
+      return View(pm);
+    }
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortAsc() {
-            Session["SelectedSubMenu"] = "Problem";
-            ProblemModel pm = new ProblemModel();
-            pm.Problems = pm.Problems.OrderBy(x => x.Name).ToList<Problem>();
-            return View("Index",pm);
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortAsc() {
+      Session["SelectedSubMenu"] = "Problem";
+      ProblemModel pm = new ProblemModel();
+      pm.Problems = pm.Problems.OrderBy(x => x.Name).ToList<Problem>();
+      return View("Index", pm);
+    }
+
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortDesc() {
+      Session["SelectedSubMenu"] = "Problem";
+      ProblemModel pm = new ProblemModel();
+
+      //this is code for testing sortorder
+      IOrderedEnumerable<Problem> test = pm.Problems.OrderByDescending(x => x.Name);
+      IList<Problem> test2 = new List<Problem>();
+      foreach (var item in test) {
+        test2.Add(item);
+      }
+      pm.Problems = test2;
+
+      // this should be the right code
+      //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
+      return View("Index", pm);
+    }
+    /// <summary>
+    /// Controller for Detail View
+    /// </summary>
+    /// <param name="p"></param>
+    /// <returns></returns>
+    public ActionResult Detail(long? id) {
+      Session["SelectedSubMenu"] = "Problem";
+      // We use here the ProblemMode, but I think
+      // we can also use the Problem class. (?)
+      ProblemModel pm = new ProblemModel();
+      if (id == null)
+        pm.Problem = new Problem();
+      else
+        pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
+      return View(pm);
+    }
+
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult Delete(long id) {
+      Session["SelectedSubMenu"] = "Problem";
+      // We use here the ProblemMode, but I think
+      // we can also use the Problem class. (?)
+      ProblemModel pm = new ProblemModel();
+      if (id != 0) {
+        pm.DeleteProblem(id);
+      }
+      return View("Index", pm);
+    }
+
+    public ActionResult UploadFile(FormCollection collection) {
+      Session["SelectedSubMenu"] = "Problem";
+
+      long problemId = long.Parse(collection.Get("ProblemId"));
+
+      ProblemModel pm = new ProblemModel();
+
+      foreach (string inputTagName in Request.Files) {
+        HttpPostedFileBase file = Request.Files[inputTagName];
+        if (file.ContentLength > 0) {
+          // maybe for storage on server
+          //string filePath = Path.Combine(HttpContext.Server.MapPath("../Uploads"), Path.GetFileName(file.FileName));
+          if (file.InputStream.CanRead) {
+            //file length
+            int fileLength = file.ContentLength;
+
+            //bytearray
+            byte[] data = new byte[fileLength];
+
+            //initialize input stream
+            Stream dataStream = file.InputStream;
+
+            //read file into byte array
+            dataStream.Read(data, 0, fileLength);
+
+            //save data
+            pm.UpdateProblemData(problemId, data);
+          }//if
         }
+      }//foreach
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortDesc() {
-            Session["SelectedSubMenu"] = "Problem";
-            ProblemModel pm = new ProblemModel();
+      return View("Index", pm);
+    }//UploadFile
 
-            //this is code for testing sortorder
-            IOrderedEnumerable<Problem> test = pm.Problems.OrderByDescending(x => x.Name);
-            IList<Problem> test2 = new List<Problem>();
-            foreach(var item in test) {
-                test2.Add(item);
-            }
-            pm.Problems = test2;
+    /// <summary>
+    /// Controller for Detail View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SaveChanges(FormCollection collection) {
+      long problemId = long.Parse(collection.Get("ProblemId"));
+      String problemName = collection.Get("ProblemName");
+      String problemDescription = collection.Get("ProblemDescription");
+      String problemDataTypeName = collection.Get("ProblemDataTypeName");
+      long problemClassId = long.Parse(collection.Get("ProblemClassId"));
+      long platformId = long.Parse(collection.Get("PlatformId"));
 
-            // this should be the right code
-            //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
-            return View("Index", pm);
-        }
-        /// <summary>
-        /// Controller for Detail View
-        /// </summary>
-        /// <param name="p"></param>
-        /// <returns></returns>
-		public ActionResult Detail(long? id)
-        {
-            Session["SelectedSubMenu"] = "Problem";
-            // We use here the ProblemMode, but I think
-            // we can also use the Problem class. (?)
-            ProblemModel pm = new ProblemModel();
-            if(id == null)
-                pm.Problem = new Problem();
-            else
-                pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
-			return View(pm);
-		}
+      // Later, we will get the runs from the session ...
+      ProblemModel pm = new ProblemModel();
+      if (problemId != 0)
+        pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals(problemId)).FirstOrDefault();
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult Delete(long id) {
-            Session["SelectedSubMenu"] = "Problem";
-            // We use here the ProblemMode, but I think
-            // we can also use the Problem class. (?)
-            ProblemModel pm = new ProblemModel();
-            if(id != 0) {
-                pm.DeleteProblem(id);
-            }
-            return View("Index", pm);
-        }
-        
-        public ActionResult UploadFile(FormCollection collection) {
-            Session["SelectedSubMenu"] = "Problem";
+      pm.Problem.Name = problemName;
+      pm.Problem.Description = problemDescription;
+      pm.Problem.DataTypeName = problemDataTypeName;
+      pm.Problem.DataTypeTypeName = "";
+      pm.Problem.ProblemClassId = problemClassId;
+      pm.Problem.PlatformId = platformId;
 
-            long problemId = long.Parse(collection.Get("ProblemId"));           
+      pm.SaveProblem(pm.Problem);
 
-            ProblemModel pm = new ProblemModel();
-
-            foreach (string inputTagName in Request.Files) {
-                HttpPostedFileBase file = Request.Files[inputTagName];
-                if (file.ContentLength > 0) {
-                    // maybe for storage on server
-                    //string filePath = Path.Combine(HttpContext.Server.MapPath("../Uploads"), Path.GetFileName(file.FileName));
-                    if (file.InputStream.CanRead) {
-                        //file length
-                        int fileLength = file.ContentLength;
-
-                        //bytearray
-                        byte[] data = new byte[fileLength];
-
-                        //initialize input stream
-                        Stream dataStream = file.InputStream;
-
-                        //read file into byte array
-                        dataStream.Read(data, 0, fileLength);
-
-                        //save data
-                        pm.UpdateProblemData(problemId, data);
-                    }//if
-                }
-            }//foreach
-
-            return View("Index", pm);
-        }//UploadFile
-
-        /// <summary>
-        /// Controller for Detail View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SaveChanges(FormCollection collection) {            
-            long problemId = long.Parse(collection.Get("ProblemId"));
-            String problemName = collection.Get("ProblemName");
-            String problemDescription = collection.Get("ProblemDescription");
-            String problemDataTypeName = collection.Get("ProblemDataTypeName");
-            long problemClassId = long.Parse(collection.Get("ProblemClassId"));
-            long platformId = long.Parse(collection.Get("PlatformId"));
-
-            // Later, we will get the runs from the session ...
-            ProblemModel pm = new ProblemModel();
-            if(problemId != 0)
-                pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals(problemId)).FirstOrDefault();
-
-            pm.Problem.Name = problemName;
-            pm.Problem.Description = problemDescription;
-            pm.Problem.DataTypeName = problemDataTypeName;
-            pm.Problem.DataTypeTypeName = "";
-            pm.Problem.ProblemClassId = problemClassId;
-            pm.Problem.PlatformId = platformId;
-
-            pm.SaveProblem(pm.Problem);
-
-            return View("Index",pm);
-        }
-	}
+      return View("Index", pm);
+    }
+  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/AlgorithmClassModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/AlgorithmClassModel.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/AlgorithmClassModel.cs	(revision 6317)
@@ -9,103 +9,102 @@
 
 namespace HLWebOKBAdminPlugin.Models {
-    public class AlgorithmClassModel {        
+  public class AlgorithmClassModel {
 
-        public String SelectedSubMenu { get; set; }
-        public IList<AlgorithmClass> AlgorithmClasses { 
-            get { return AlgorithmClassGetAll(); }
-            set { ;}
+    public String SelectedSubMenu { get; set; }
+    public IList<AlgorithmClass> AlgorithmClasses {
+      get { return AlgorithmClassGetAll(); }
+      set { ;}
+    }
+
+    public AlgorithmClass AlgorithmClass { get; set; }
+
+    public AlgorithmClassModel() {
+      AlgorithmClass = new AlgorithmClass();
+    }//AlgorithmClassModel
+
+    //***************************************Algorithm Class********************************************
+    private IList<Platform> PlatformsGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
+
+      IList<Platform> platformList = new List<Platform>();
+
+      if (adminClient != null) {
+        Platform[] platforms = adminClient.GetPlatforms();
+        foreach (Platform pl in platforms) {
+          platformList.Add(pl);
         }
+      }//if (adminClient != null)
 
-        public AlgorithmClass AlgorithmClass { get; set; }
+      return platformList;
+    }//ProblemClassGetAll
 
-        public AlgorithmClassModel() {
-            AlgorithmClass = new AlgorithmClass();
-        }//AlgorithmClassModel
+    private IList<ProblemClass> ProblemClassGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        //***************************************Algorithm Class********************************************
-        private IList<Platform> PlatformsGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      IList<ProblemClass> problemClassList = new List<ProblemClass>();
 
-            IList<Platform> platformList = new List<Platform>();
+      if (adminClient != null) {
+        ProblemClass[] problemClasses = adminClient.GetProblemClasses();
+        foreach (ProblemClass pc in problemClasses) {
+          problemClassList.Add(pc);
+        }
+      }//if (adminClient != null)
 
-            if (adminClient != null) {
-                Platform[] platforms = adminClient.GetPlatforms();
-                foreach (Platform pl in platforms) {
-                    platformList.Add(pl);
-                }
-            }//if (adminClient != null)
+      return problemClassList;
+    }//ProblemClassGetAll
 
-            return platformList;
-        }//ProblemClassGetAll
+    //get all algorithm classes
+    private IList<AlgorithmClass> AlgorithmClassGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        private IList<ProblemClass> ProblemClassGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      IList<AlgorithmClass> algorithmClassList = new List<AlgorithmClass>();
 
-            IList<ProblemClass> problemClassList = new List<ProblemClass>();
+      if (adminClient != null) {
+        AlgorithmClass[] algorithmClasses = adminClient.GetAlgorithmClasses();
+        foreach (AlgorithmClass ac in algorithmClasses) {
+          algorithmClassList.Add(ac);
 
-            if (adminClient != null) {
-                ProblemClass[] problemClasses = adminClient.GetProblemClasses();
-                foreach (ProblemClass pc in problemClasses) {
-                    problemClassList.Add(pc);
-                }
-            }//if (adminClient != null)
+        }
+      }//if (adminClient != null)
 
-            return problemClassList;
-        }//ProblemClassGetAll
+      return algorithmClassList;
+    }//AlgorithmClassGetAll
 
-        //get all algorithm classes
-        private IList<AlgorithmClass> AlgorithmClassGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+    private long AddAlgorithmClass(AlgorithmClass algorithmClass) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            IList<AlgorithmClass>  algorithmClassList = new List<AlgorithmClass>();
+      if (adminClient != null) {
+        return adminClient.AddAlgorithmClass(algorithmClass);
+      }
 
-            if (adminClient != null) {
-                AlgorithmClass[] algorithmClasses = adminClient.GetAlgorithmClasses();
-                foreach (AlgorithmClass ac in algorithmClasses) {
-                    algorithmClassList.Add(ac);
+      return 0;
+    }//AddAlgorithmClass
 
-                }
-            }//if (adminClient != null)
+    public void DeleteAlgorithmClass(long id) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            return algorithmClassList;
-        }//AlgorithmClassGetAll
+      if (adminClient != null) {
+        adminClient.DeleteAlgorithmClass(id);
+      }
+    }//DeleteAlgorithmClass
 
-        private long AddAlgorithmClass(AlgorithmClass algorithmClass) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+    public long SaveAlgorithmClass(AlgorithmClass algorithmClass) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            if (adminClient != null) {
-                return adminClient.AddAlgorithmClass(algorithmClass);
-            }
+      if (adminClient != null) {
+        if (algorithmClass.Id == 0) {
+          return AddAlgorithmClass(algorithmClass);
+        } else {
+          AlgorithmClass ac = adminClient.GetAlgorithmClass(algorithmClass.Id);
 
-            return 0;
-        }//AddAlgorithmClass
+          if (ac != null) {
+            adminClient.UpdateAlgorithmClass(algorithmClass);
+            return algorithmClass.Id;
+          }
+        }
+      }
 
-        public void DeleteAlgorithmClass(long id) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
-
-            if (adminClient != null) {
-                adminClient.DeleteAlgorithmClass(id);
-            }
-        }//DeleteAlgorithmClass
-
-        public long SaveAlgorithmClass(AlgorithmClass algorithmClass) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
-
-            if (adminClient != null) {
-                if (algorithmClass.Id == 0) {
-                    return AddAlgorithmClass(algorithmClass);
-                }
-                else {
-                    AlgorithmClass ac = adminClient.GetAlgorithmClass(algorithmClass.Id);
-
-                    if (ac != null) {
-                        adminClient.UpdateAlgorithmClass(algorithmClass);
-                        return algorithmClass.Id;
-                    }
-                }
-            }
-
-            return 0;
-        }//SaveAlgorithmClass               
-    }
+      return 0;
+    }//SaveAlgorithmClass               
+  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/PlatformModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/PlatformModel.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/PlatformModel.cs	(revision 6317)
@@ -7,70 +7,69 @@
 
 namespace HLWebOKBAdminPlugin.Models {
-    public class PlatformModel {
-        public String SelectedSubMenu { get; set; }
-        public IList<Platform> Platforms { 
-            get { return PlatformGetAll();}
-            set {;}
+  public class PlatformModel {
+    public String SelectedSubMenu { get; set; }
+    public IList<Platform> Platforms {
+      get { return PlatformGetAll(); }
+      set { ;}
+    }
+
+    public Platform Platform { get; set; }
+
+    public PlatformModel() {
+      Platform = new Platform();
+    }//PlatformModel
+
+    //***************************************Platform Class**********************************************
+    private IList<Platform> PlatformGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
+
+      IList<Platform> platformList = new List<Platform>();
+
+      if (adminClient != null) {
+        Platform[] platforms = adminClient.GetPlatforms();
+        foreach (Platform pl in platforms) {
+          platformList.Add(pl);
         }
+      }//if (adminClient != null)
 
-        public Platform Platform { get; set; }
+      return platformList;
+    }//ProblemClassGetAll                
 
-        public PlatformModel() {
-            Platform = new Platform();
-        }//PlatformModel
+    private long AddPlatform(Platform plattform) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        //***************************************Platform Class**********************************************
-        private IList<Platform> PlatformGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      if (adminClient != null) {
+        return adminClient.AddPlatform(plattform);
+      }
 
-            IList<Platform> platformList = new List<Platform>();
+      return 0;
+    }//AddPlatform
 
-            if (adminClient != null) {
-                Platform[] platforms = adminClient.GetPlatforms();
-                foreach (Platform pl in platforms) {
-                    platformList.Add(pl);
-                }
-            }//if (adminClient != null)
+    public void DeletePlatform(long id) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            return platformList;
-        }//ProblemClassGetAll                
+      if (adminClient != null) {
+        adminClient.DeletePlatform(id);
+      }
+    }//DeletePlatform
 
-        private long AddPlatform(Platform plattform) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+    public long SavePlatform(Platform platform) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            if (adminClient != null) {
-                return adminClient.AddPlatform(plattform);
-            }
+      if (adminClient != null) {
+        if (platform.Id == 0) {
+          return AddPlatform(platform);
+        } else {
+          Platform pl = adminClient.GetPlatform(platform.Id);
 
-            return 0;
-        }//AddPlatform
+          if (pl != null) {
+            adminClient.UpdatePlatform(platform);
+            return platform.Id;
+          }
+        }
+      }
 
-        public void DeletePlatform(long id) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
-
-            if (adminClient != null) {
-                adminClient.DeletePlatform(id);
-            }
-        }//DeletePlatform
-
-        public long SavePlatform(Platform platform) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
-
-            if (adminClient != null) {
-                if (platform.Id == 0) {
-                    return AddPlatform(platform);
-                }
-                else {
-                    Platform pl = adminClient.GetPlatform(platform.Id);
-
-                    if (pl != null) {
-                        adminClient.UpdatePlatform(platform);
-                        return platform.Id;
-                    }
-                }
-            }
-
-            return 0;
-        }//SavePlatform        
-    }
+      return 0;
+    }//SavePlatform        
+  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemClassModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemClassModel.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemClassModel.cs	(revision 6317)
@@ -7,86 +7,85 @@
 
 namespace HLWebOKBAdminPlugin.Models {
-    public class ProblemClassModel {        
+  public class ProblemClassModel {
 
-        public String SelectedSubMenu { get; set; }
-        public IList<ProblemClass> ProblemClasses { 
-            get { return ProblemClassGetAll();}
-            set {;}
+    public String SelectedSubMenu { get; set; }
+    public IList<ProblemClass> ProblemClasses {
+      get { return ProblemClassGetAll(); }
+      set { ;}
+    }
+
+    public ProblemClass ProblemClass { get; set; }
+
+    public ProblemClassModel() {
+      ProblemClass = new ProblemClass();
+    }//ProblemClassModel
+
+    //***************************************Problem Class**********************************************
+    private IList<Platform> PlatformsGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
+
+      IList<Platform> platformList = new List<Platform>();
+
+      if (adminClient != null) {
+        Platform[] platforms = adminClient.GetPlatforms();
+        foreach (Platform pl in platforms) {
+          platformList.Add(pl);
         }
+      }//if (adminClient != null)
 
-        public ProblemClass ProblemClass { get; set; }
+      return platformList;
+    }//ProblemClassGetAll
 
-        public ProblemClassModel() {
-            ProblemClass = new ProblemClass();
-        }//ProblemClassModel
+    private IList<ProblemClass> ProblemClassGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        //***************************************Problem Class**********************************************
-        private IList<Platform> PlatformsGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      IList<ProblemClass> problemClassList = new List<ProblemClass>();
 
-            IList<Platform> platformList = new List<Platform>();
+      if (adminClient != null) {
+        ProblemClass[] problemClasses = adminClient.GetProblemClasses();
+        foreach (ProblemClass pc in problemClasses) {
+          problemClassList.Add(pc);
+        }
+      }//if (adminClient != null)
 
-            if (adminClient != null) {
-                Platform[] platforms = adminClient.GetPlatforms();
-                foreach (Platform pl in platforms) {
-                    platformList.Add(pl);
-                }
-            }//if (adminClient != null)
+      return problemClassList;
+    }//ProblemClassGetAll
 
-            return platformList;
-        }//ProblemClassGetAll
-        
-        private IList<ProblemClass> ProblemClassGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+    private long AddProblemClass(ProblemClass problemClass) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            IList<ProblemClass> problemClassList = new List<ProblemClass>();
+      if (adminClient != null) {
+        return adminClient.AddProblemClass(problemClass);
+      }
 
-            if (adminClient != null) {
-                ProblemClass[] problemClasses = adminClient.GetProblemClasses();
-                foreach (ProblemClass pc in problemClasses) {
-                    problemClassList.Add(pc);
-                }
-            }//if (adminClient != null)
+      return 0;
+    }//AddProblemClass
 
-            return problemClassList;
-        }//ProblemClassGetAll
+    public void DeleteProblemClass(long id) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        private long AddProblemClass(ProblemClass problemClass) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      if (adminClient != null) {
+        adminClient.DeleteProblemClass(id);
+      }
+    }//DeleteProblemClass
 
-            if (adminClient != null) {
-                return adminClient.AddProblemClass(problemClass);
-            }
+    public long SaveProblemClass(ProblemClass problemClass) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            return 0;
-        }//AddProblemClass
+      if (adminClient != null) {
+        if (problemClass.Id == 0) {
+          return AddProblemClass(problemClass);
+        } else {
+          ProblemClass pc = adminClient.GetProblemClass(problemClass.Id);
 
-        public void DeleteProblemClass(long id) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+          if (pc != null) {
+            adminClient.UpdateProblemClass(problemClass);
+            return problemClass.Id;
+          }
+        }
+      }
 
-            if (adminClient != null) {
-                adminClient.DeleteProblemClass(id);
-            }
-        }//DeleteProblemClass
-
-        public long SaveProblemClass(ProblemClass problemClass) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
-
-            if (adminClient != null) {
-                if (problemClass.Id == 0) {
-                    return AddProblemClass(problemClass);
-                }
-                else {
-                    ProblemClass pc = adminClient.GetProblemClass(problemClass.Id);
-
-                    if (pc != null) {
-                        adminClient.UpdateProblemClass(problemClass);
-                        return problemClass.Id;
-                    }
-                }
-            }
-
-            return 0;
-        }//SaveProblemClass        
-    }
+      return 0;
+    }//SaveProblemClass        
+  }
 }
